Restore bank
Restore a soft-deleted bank
POST
/
admin
/
api
/
v1
/
support
/
banks
/
{id}
/
restore
Restore bank
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Bank of California",
"code": "BOC0001",
"email": "bankocalifornia@example.com",
"phone": "2122211211121",
"street1": "Wallmart Steet Complex",
"street2": "First Floor",
"city": "California",
"zip": "90006",
"creator_id": 1,
"created_at": "2025-04-10T10:47:58.000000Z",
"updated_at": "2025-04-10T10:47:58.000000Z",
"deleted_at": null,
"state": {
"id": 13,
"name": "California",
"code": "CA",
"country_id": 233,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"country": {
"id": 233,
"name": "United States",
"code": "US",
"phone_code": "1",
"state_required": true,
"zip_required": true,
"currency_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
}
},
"message": "Bank restored successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Response
Success
⌘I
Restore bank
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/support/banks/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Bank of California",
"code": "BOC0001",
"email": "bankocalifornia@example.com",
"phone": "2122211211121",
"street1": "Wallmart Steet Complex",
"street2": "First Floor",
"city": "California",
"zip": "90006",
"creator_id": 1,
"created_at": "2025-04-10T10:47:58.000000Z",
"updated_at": "2025-04-10T10:47:58.000000Z",
"deleted_at": null,
"state": {
"id": 13,
"name": "California",
"code": "CA",
"country_id": 233,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
},
"country": {
"id": 233,
"name": "United States",
"code": "US",
"phone_code": "1",
"state_required": true,
"zip_required": true,
"currency_id": 1,
"created_at": "2025-04-07T12:34:34.000000Z",
"updated_at": "2025-04-07T12:34:34.000000Z"
}
},
"message": "Bank restored successfully."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}